Subject: bug#74390: Need for simpledrm

From: [email-masked]
Date: Sun, 17 Nov 2024 01:47:35 +0000

TLDR: relevant kernel configs are CONFIG_SYSFB_SIMPLEFB (only on x86?), 
CONFIG_DRM_SIMPLEDRM, at the same time it's necessary to disable 
CONFIG_FB_EFI and CONFIG_FB_SIMPLE

Hi,

I run Guix System, after upgrading from 1.4 to snapshot gdm refuses to 
start even if I disable wayland in its config, it seems to require 
kernel drm driver, unfortunately amdgpu absolutely requires proprietary 
firmware, so for such situations there is simpledrm.

I tried building custom kernel myself, but build gets killed by OOM, it 
appears 8 GB RAM is nowadays very little, I also tried disabling 
building wlan, amdgpu, radeon, xe and i915 as they don't work with my 
laptop anyway, kernel builds successfully, but then linux-modules 
package throws error complaining that it cannot find USB drivers 
(what???).

/etc/config.scm:

...

(define %linux-libre-simpledrm-config (append
  `(("CONFIG_DRM_SIMPLEDRM" . m)
    ("CONFIG_SYSFB_SIMPLEFB" .m)
     ;; ("CONFIG_DRM_AMDGPU" . #f)
     ;; ("CONFIG_DRM_RADEON" . #f)
     ;; ("CONFIG_DRM_XE" . #f)
     ;; ("CONFIG_DRM_I915" . #f)
     ;; ("CONFIG_WLAN" . #f)
    ("CONFIG_FB_EFI" . #f)
    ("CONFIG_FB_SIMPLE" . #f))
  ((@@ (gnu packages linux) default-extra-linux-options) "6.11")))

(define linux-libre-simpledrm
   ((@@ (gnu packages linux) make-linux-libre*)
    (@@ (gnu packages linux) linux-libre-version)
    (@@ (gnu packages linux) linux-libre-gnu-revision)
    (@@ (gnu packages linux) linux-libre-source)
    '("x86_64-linux")
    #:extra-version "simpledrm"
    #:extra-options %linux-libre-simpledrm-config))

(operating-system
   (kernel linux-libre-simpledrm)
...